import os
from helper import utils
from helper import constants as cnst


def dataset_path_split_format_validator(in_path):
    dir_list = os.listdir(in_path)
    check = all(item in dir_list for item in cnst.target_dir_list)

    if not check:
        raise Exception("Conflict in directory names. Expected : train/test/valid")


def dataset_class_validator(in_path):
    dir_list = os.listdir(in_path)

    if len(dir_list) != cnst.num_classes:
        raise Exception(f"Conflict in number of classes. Total {cnst.num_classes} classes were expected. "
                        f"Found {len(dir_list)} in dataset")
